# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=flex
pkgver=2.6.4
pkgrel=1
pkgdesc="A tool for generating text-scanning programs"
arch=('x86_64')
url="https://github.com/westes/flex"
license=('custom')
groups=('base')
depends=('bash' 'glibc' 'm4')
makedepends=('binutils' 'coreutils' 'gcc' 'gettext' 'grep' 'make' 'patch' 'sed' 'texinfo')
checkdepends=('bison' 'gawk')
source=(https://github.com/westes/flex/releases/download/v${pkgver}/${pkgname}-${pkgver}.tar.gz)
sha256sums=(e87aae032bf07c26f85ac0ed3250998c37621d95f8bd748b31f15b33c45ee995)

build() {
    cd ${pkgname}-${pkgver}

    ${configure} --disable-static

    make
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} install

    ln -sv flex ${pkgdir}/usr/bin/lex
}
